%YAML 1.1
---
gfVersion: v1.0
class: app

name: singularity-gf
description: execute docker image godlovedc/lolcow using geneflow app and singularity
repo_uri: https://gitlab.com/geneflow/apps/singularity-gf.git
version: '0.1'
inputs:
  file:
    label: Input File
    description: Input file
    type: File
parameters:
  output:
    label: Output File
    description: Output file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-singularity-gf-0.1{{ revision }}
{% endif %}
  local:
    script: singularity-gf.sh
...